# TreasureTrove provides a `Treasure` class and `random` method to get Treasure.
module TreasureTrove
  # Treasures have a `name` and `points` value.
  Treasure = Struct.new :name, :points

  TREASURES = [
    Treasure.new(:pie, 5),
    Treasure.new(:bottle, 25),
    Treasure.new(:hammer, 50),
    Treasure.new(:skillet, 100),
    Treasure.new(:broomstick, 200),
    Treasure.new(:crowbar, 400)
  ].freeze

  def self.random
    TREASURES.sample
  end

  def self.damaged_treasure(treasure)
    Treasure.new treasure.name, treasure.points / 2.0
  end
end
